#!/bin/bash

[[ $_ != $0 ]] && REALPATH=`dirname $(readlink -f ${BASH_SOURCE[0]})` || REALPATH=`dirname $(readlink -f $0)`

# Set the installation path dynamically based on CMAKE_INSTALL_PREFIX
export PATH="$REALPATH/bin:$PATH"
if [ -f "$REALPATH/lib/@PROJECT_NAME@.modulemap" ]; then
    export CLING_MODULEMAP_FILES="$REALPATH/lib/@PROJECT_NAME@.modulemap:$CLING_MODULEMAP_FILES"
fi

# Set the LD_LIBRARY_PATH variable for Linux
if [[ "$(uname)" == "Linux" ]]; then
    export LD_LIBRARY_PATH="$REALPATH/lib:$LD_LIBRARY_PATH"
fi

# Set the DYLD_LIBRARY_PATH variable for macOS
if [[ "$(uname)" == "Darwin" ]]; then
    export DYLD_LIBRARY_PATH="$REALPATH/lib:$DYLD_LIBRARY_PATH"
fi
